LegendProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.LegendProperties,LegendProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class LegendProperties

    java.lang.Object
      |
      +--org.jCharts.properties.Properties
            |
            +--org.jCharts.properties.AreaProperties
                  |
                  +--org.jCharts.properties.LegendAreaProperties
                        |
                        +--org.jCharts.properties.LegendProperties

All Implemented Interfaces:
  HTMLTestable, java.io.Serializable

public final class LegendProperties
extends LegendAreaProperties
implements HTMLTestable

See Also:
  Serialized Form

Field Summary
`static java.awt.Font` | `DEFAULT_FONT`
`static java.awt.Paint` | `DEFAULT_FONT_PAINT`
`static java.awt.Paint` | `DEFAULT_ICON_BORDER_PAINT`
`static java.awt.Stroke` | `DEFAULT_ICON_BORDER_STROKE`
`private java.awt.Font` | `font`
`private java.awt.Paint` | `fontPaint`
`private java.awt.Paint` | `iconBorderPaint`
`private java.awt.Stroke` | `iconBorderStroke`
`private java.awt.Dimension` | `size`

Fields inherited from class org.jCharts.properties.LegendAreaProperties
`BOTTOM, COLUMNS_AS_MANY_AS_NEEDED, COLUMNS_FIT_TO_IMAGE, LEFT, RIGHT, TOP`

Fields inherited from class org.jCharts.properties.AreaProperties
``

Fields inherited from class org.jCharts.properties.Properties
`DEFAULT_BACKGROUND_PAINT`

Constructor Summary
`LegendProperties()`

Method Summary
`java.awt.Font` | `getFont()` Returns the Font used by the Legend.
`java.awt.Paint` | `getFontPaint()` Returns the Font Paint used by the Legend.
`java.awt.Paint` | `getIconBorderPaint()` Returns the Icon border Color used by the Legend.
`java.awt.Stroke` | `getIconBorderStroke()` Returns the icon border Stroke
`java.awt.Dimension` | `getSize()` Getter for property size.
`void` | `setFont(java.awt.Font legendFont)` Sets the Font used by the Legend.
`void` | `setFontPaint(java.awt.Paint fontPaint)` Sets the Font color used by the Legend.
`void` | `setIconBorderPaint(java.awt.Paint iconBorderPaint)` Sets the Icon border color used by the Legend.
`void` | `setIconBorderStroke(java.awt.Stroke stroke)` Sets the icon border Stroke.
`void` | `setSize(java.awt.Dimension size)` Setter for property size.
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.

Methods inherited from class org.jCharts.properties.LegendAreaProperties
`getChartPadding, getColumnPadding, getIconPadding, getNumColumns, getPlacement, getRowPadding, setChartPadding, setColumnPadding, setIconPadding, setNumColumns, setPlacement, setRowPadding`

Methods inherited from class org.jCharts.properties.AreaProperties
`getBorderStroke, getEdgePadding, setBorderStroke, setEdgePadding`

Methods inherited from class org.jCharts.properties.Properties
`getBackgroundPaint, setBackgroundPaint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

### DEFAULT_FONT_PAINT

    public static final java.awt.Paint DEFAULT_FONT_PAINT

### DEFAULT_ICON_BORDER_STROKE

    public static final java.awt.Stroke DEFAULT_ICON_BORDER_STROKE

### DEFAULT_ICON_BORDER_PAINT

    public static final java.awt.Paint DEFAULT_ICON_BORDER_PAINT

### font

    private java.awt.Font font

### fontPaint

    private java.awt.Paint fontPaint

### iconBorderPaint

    private java.awt.Paint iconBorderPaint

### iconBorderStroke

    private java.awt.Stroke iconBorderStroke

### size

    private java.awt.Dimension size

Constructor Detail

### LegendProperties

    public LegendProperties()

Method Detail

### setFont

    public void setFont(java.awt.Font legendFont)

  Sets the Font used by the Legend.

  Parameters:
    `legendFont` -

### getFont

    public java.awt.Font getFont()

  Returns the Font used by the Legend.

  Returns:
    Font

### setIconBorderPaint

    public void setIconBorderPaint(java.awt.Paint iconBorderPaint)

  Sets the Icon border color used by the Legend. If NULL is passed, there will be no border.

  Parameters:
    `iconBorderPaint` -

### getIconBorderPaint

    public java.awt.Paint getIconBorderPaint()

  Returns the Icon border Color used by the Legend.

  Returns:
    Paint

### setIconBorderStroke

    public void setIconBorderStroke(java.awt.Stroke stroke)

  Sets the icon border Stroke. If NULL is passed, there will be no border.

  Parameters:
    `stroke` -

### getIconBorderStroke

    public java.awt.Stroke getIconBorderStroke()

  Returns the icon border Stroke

  Returns:
    Stroke

### setFontPaint

    public void setFontPaint(java.awt.Paint fontPaint)

  Sets the Font color used by the Legend.

  Parameters:
    `fontPaint` -

### getFontPaint

    public java.awt.Paint getFontPaint()

  Returns the Font Paint used by the Legend.

  Returns:
    Paint

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `LegendAreaProperties`
  Parameters:
    `htmlGenerator` -

### getSize

    public java.awt.Dimension getSize()

  Getter for property size.

  Returns:
    Value of property size.

### setSize

    public void setSize(java.awt.Dimension size)

  Setter for property size.

  Parameters:
    `size` - New value of property size.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD